--------------------------------------------------------------------------------
-- Company: Digilent Inc.
-- Engineer:Dion Moses
--
-- Create Date:   11:31:13 09/03/2009 
-- Tool versions:  ISE 11
-- Description:  VHDL test bench design to coincide with problem 1-1 of
-- P3.doc of Digilent's Real Digital 
-- 
-- VHDL Test Bench Created by ISE for module: P1
-- 
-- Dependencies:
-- 
-- Revision: (DionM) : created
-- Revision 0.01 - File Created
-- Additional Comments:
--
-- Notes: 
--------------------------------------------------------------------------------
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
ENTITY schp11_tb IS
END schp11_tb;
ARCHITECTURE behavioral OF schp11_tb IS 

   COMPONENT schp1
   PORT( A	:	IN	STD_LOGIC; 
          C	:	IN	STD_LOGIC; 
          B	:	IN	STD_LOGIC; 
          Y	:	OUT	STD_LOGIC);
   END COMPONENT;

   signal A : std_logic := '0';
   signal B : std_logic := '0';
   signal C : std_logic := '0';

   SIGNAL Y	:	STD_LOGIC;
	
constant period : time := 10 ns;

BEGIN

   UUT: schp1 PORT MAP(
		A => A, 
		C => C, 
		B => B, 
		Y => Y
   );

stim_proc: process
   begin		
      -- hold reset state for 100ms.
      wait for period;	
		A<= '0';
      B<= '0';
		C<= '1';
		
		wait for period;
		A<= '0';
      B<= '1';
		C<= '0';
		
		wait for period;
		A<= '0';
      B<= '1';
		C<= '1';
		
		wait for period;
		A<= '1';
      B<= '0';
		C<= '0';
		
		wait for period;
		A<= '1';
      B<= '0';
		C<= '1';

		wait for period;
		A<= '1';
      B<= '1';
		C<= '0';

		wait for period;
		A<= '1';
      B<= '1';
		C<= '1';
      -- insert stimulus here 

      wait;
   end process;

END;
